package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.User;
import cn.wisenergy.model.vo.AerialDeliveryVo;

import java.util.Map;

/**
 * @author 86187
 * @ Description: 用户接口
 * @ Author     : 86187
 * @ Date       : 2021/1/6 16:08
 */
public interface UserService {


    /**
     * 获取用户信息
     *
     * @param userId 用户id
     * @return 用户信息
     */
    User getById(String userId);

    R<Integer> getById1(String userId);

    /**
     * 获取用户信息
     *
     * @param userId 用户id
     * @return 用户信息
     */
    User getByUserId(String userId);

    //根据手机号查询用户
    public User queryUsersByPhone(String id);

    //根据OpenId查询用户
    public User queryUsersByOpenId(String openId);

    /**
     * 用户注册
     */
    Map userByZx(String userId, String beInvitedCode);

//    Integer selectbyint(String userId,String beInvitedCode);
//
    Integer getuserIdById(String userId);

    /**
     * 获取空投池列表
     *
     * @return 空投池列表
     */
    R<AerialDeliveryVo> queryAerialDelivery();

    /**
     * 设置用户头像
     * @param userId 用户id
     * @param headImage 头像地址
     * @return true  or false
     */
    R<Boolean> setHeadImage(String userId,String headImage);

}
